%define __python /usr/bin/python2.7

Summary: FBThrift: Facebook's branch of apache thrift
Name: fbthrift
Version: 0.32.0
Release: 0.20160822.2%{?dist}
License: APLv2.0
Group: Development/Languages
URL: https://github.com/facebook/fbthrift
Source: fbthrift-master.zip
Patch1:	compilefixes.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: bison flex krb5-devel cyrus-sasl-devel numactl-devel
BuildRequires: pkgconfig openssl-devel autoconf269 m4_16 automake libtool
BuildRequires: boost160-devel libevent-devel glog-devel
BuildRequires: double-conversion-devel scons snappy-devel
BuildRequires: wangle folly-devel autoconf-archive
#BuildRequires: devtoolset-2-gcc-c++ environment-modules devtoolset-2-build devtoolset-2-binutils devtoolset-2-libquadmath-devel
BuildRequires: environment-modules devtoolset-3-build devtoolset-3-toolchain
# devtoolset-2-libquadmath-devel
BuildRequires: python27-devel bison3
BuildRequires: mstch
Requires: %{name}-libs = %{version}

%description
The main focus of this package is the new C++ server, under thrift/lib/cpp2.
This repo also contains a branch of the rest of apache thrift's repo with
any changes Facebook has made, however the build system only supports cpp2.

%package devel
Summary: Header files and static libraries for fbthrift
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Development files for fbthrift

%package libs
Summary: fbthrift libraries
Group: Development/Libraries

%description libs
fbthrift libraries

%package python
Summary: fbthrift python support
Group: Development/Languages
Requires: %{name} = %{version}

%description python
fbthrift python support

%prep
%setup -n %{name}-master
%patch1 -p1 -b .compilefixes
cd thrift/compiler
ln -s thrifty.h thrifty.hh

%build
. /etc/profile.d/modules.sh
module load rh autoconf boost python bison
cd thrift
autoreconf -if
%configure
%{__make}


%install
. /etc/profile.d/modules.sh
module load rh autoconf boost python bison
cd thrift
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}" PY_INSTALL_HOME=/tmp PY_LOCAL_ROOT=/tmp PY_INSTALL_ARGS='--skip-build --root=%{buildroot}'
rm -f %{buildroot}%{_libdir}/lib*.la
%if "%{_lib}" != "lib"
mkdir -p %{buildroot}%{_libdir}/python2.7
mv %{buildroot}/usr/lib/python2.7/* %{buildroot}%{_libdir}/python2.7
%endif

%clean
%{__rm} -rf %{buildroot}


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-, root, root, 0755)
%doc CONTRIBUTING.md LICENSE README.md
%{_bindir}/thrift1
%{_datadir}/thrift

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/thrift
%{_libdir}/pkgconfig/thrift*pc
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%exclude %{_libdir}/libthriftprotocol.so

%files libs
%defattr(-, root, root, 0755)
%doc CONTRIBUTING.md LICENSE README.md
%{_libdir}/lib*.so.*
%{_libdir}/libthriftprotocol.so

%files python
%defattr(-, root, root, 0755)
%{python_sitearch}/thrift*

%changelog
* Sun Feb 25 2007 Matthias Saou <http://freshrpms.net/> 0.6.0-1 - 5208/thias
- Update to 0.6.0.
- Remove empty doc files.

* Fri Jul 14 2006 Dag Wieers <dag@wieers.com> - 0.5.0-1
- Updated to release 0.5.0.

* Fri Jan 28 2005 Matthias Saou <http://freshrpms.net/> 0.4.0-1
- Initial RPM release.

